$eolcom //

SET i products /p1, p2/;
SET j materials /m1, m2, m3/;



*SCALARS
*Tt number of SELECTED scenarios /60/
*level level alpha /0.95/
*r0 minimal expected return /0.001/;


*------------------------------------------------------------------------------

PARAMETER c(i) prices
/
p2 24
p1 14
/;

PARAMETER b(j) available materials
/
m1 1200
m2 1000
m3 700
/;

*------------------------------------------------------------------------------
* Tables (matrices) -  input from a text file


TABLE A(i,j)  required materials

$INCLUDE "Amatrix.txt";

*         m1      m2       m3
*p1       2       1        1
*p2       3       4        2




*------------------------------------------------------------------------------
* Decision variables

Positive variables u(j);   /////
Variable obj;

*------------------------------------------------------------------------------
* Equations

EQUATIONS        DualObj,  /////
                 DualConstraints;  /////

DualObj..                obj =e= sum(j,b(j)*u(j));   /////
DualConstraints(i)..       sum(j,u(j)*A(i,j)) =g= c(i);  /////

*------------------------------------------------------------------------------
* Model declaration

MODEL OptIncome /DualObj, DualConstraints/ ;

*------------------------------------------------------------------------------
* Solve and display results

SOLVE  OptIncome minimizing obj using LP; /////
DISPLAY u.l,obj.l; /////
